Bug 330881 - s-c-d fails to detect correct keyboard layout
Summary: s-c-d fails to detect correct keyboard layout
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-keyboard
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-13 19:43 UTC by Daniel Qarras
Modified: 2009-10-28 22:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-28 22:33:57 UTC


Attachments (Terms of Use)

Description Daniel Qarras 2007-10-13 19:43:07 UTC
When running system-config-display on my Acer Aspire 1690 laptop
system-config-display writes an xorg.conf file that contains:

Option "XkbModel" "pc105"

However, xkeyboard-config contains generic model "acer_laptop" which also
includes the multimedia/inet keys so picking up that one on Acer laptops would
be much better.

There is at least "asus_laptop" and few laptop model specific layouts so this is
also a general issue with laptops/multimedia keys.

Comment 1 Lubomir Kundrak 2008-04-11 20:46:08 UTC
This is handled by hal quirks.

Comment 2 Daniel Qarras 2008-04-11 21:11:53 UTC
Oh, yeah? What quirks exactly? Note that I'm not talking about individual
special keys (which, yes, are already handled by hal quirks) but the whole
keyboard layout.

Comment 3 Lubomir Kundrak 2008-04-11 21:22:25 UTC
s-c-k is definitely the wrong tree to bark at.
Eventually you can choose the right layout by hand with gnome-keyboard-properties.
To be honest I don't have and idea how should the default layout be determined,
but it is obvious that hal should be involved.


Comment 4 Daniel Qarras 2008-04-16 18:43:03 UTC
Thanks for additional information.

Actually I originally opened this against s-c-d as it is the tool that creates
xorg.conf, the file containing suboptimal keyboard model definition. This was
then reassigned by RH engineers to s-c-k, I believe that s-c-d consults s-c-k to
get the keyboard model. How s-c-k gets that information, I don't know.

End user could surely pick correct layout by hand with g-k-p (or even edit
config files by hand) but I'm afraid not all users are technical enough to
realize they should do that. So this would be clear usability improvement for many.

FWIW, I sent a question about this to HAL list but received no reply:

http://lists.freedesktop.org/archives/hal/2008-April/011389.html

Thanks.

Comment 5 Lubomir Kundrak 2008-04-17 07:29:51 UTC
Daniel: In Fedora 9 xorg.conf no longer contains the keyboard section by
default, (unless user ran s-c-k, which he shouldn't), so part of this has
largely irrelevant.

What interests me still is how to use hal to make the keyboard layout have sane
default for specified laptop model.

Comment 6 Daniel Qarras 2008-04-23 17:06:06 UTC
I'm just speculating but when inspecting output from lshal I see:

  system.formfactor = 'laptop'  (string)

Perhaps that could be checked and if formfactor is "laptop", then checking for
available vendor keymaps should be easy, e.g., Acer is in numerous entries:

  system.hardware.vendor = 'Acer, inc.'  (string)


Comment 7 Lubomir Kundrak 2008-04-23 17:38:42 UTC
It is obvious _what_ should be checked, but not _who_ should check it  and
_when_ should it check it and _where_ and _how_ to set the keyboard map...

Comment 8 Daniel Qarras 2008-05-05 22:25:41 UTC
FWIW, I just installed Fedora 9 Preview and found out that I have xorg.conf
containing this line on my Acer laptop:

  Option "XkbModel" "pc105"

Comment 9 Bug Zapper 2008-05-14 03:23:09 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Daniel Qarras 2008-10-04 09:14:26 UTC
I'd say this is solved in F10Beta as xorg.conf is gone and from System->Preferences->Hardware->Keyboard one can pick up the correct "Acer Laptop" layout.

Comment 12 Bug Zapper 2008-11-26 02:00:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Daniel Qarras 2008-12-14 15:22:40 UTC
Also ok on F10 Final.

Comment 14 Daniel Qarras 2009-04-03 15:35:51 UTC
The situation is unchanged since earlier releases in F11ß but I'm not sure what should be done with this. To close or not to close that is the question.

Comment 15 Daniel Qarras 2009-04-26 08:41:11 UTC
Slightly related:

https://bugzilla.redhat.com/show_bug.cgi?id=492542

Comment 16 Bug Zapper 2009-06-09 09:18:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 17 Daniel Qarras 2009-10-23 19:25:42 UTC
The situation is unchanged since earlier releases in F12ß but I'm not sure what
should be done with this. To close or not to close that is the question.

Comment 18 Daniel Qarras 2009-10-28 22:33:57 UTC
Since evdev is now used by "everybody" and since one can't get detailed enough information from HAL, I think it's best to close this one.

By default, xorg.conf is not created. If one creates, one can also tune it manually if really needed (and even that is probably unnecessary).


Note You need to log in before you can comment on or make changes to this bug.